Subject: When messages have no Date:

From: 積丹尼 Dan Jacobson <[email-masked]>
Date: Wed, 06 May 2020 07:23:43 +0800

Got an idea: if a mail arrives without a Date: header, gnus should add a
X-Gnus-Artificial-Date: <now> header.

And when opening such messages, if no Date: is found, use the
X-Gnus-Artificial-Date: header when making dates for the *Summary*
buffer.

That way instead of 1970 dates, you'll have dates certainly just a day
or two from the real date (when they sent the mail, that we don't know.)

-AND/OR-

Dig the earliest date out of all the Received headers.

My idea increases the accuracy of the date thousands of times over
"1970" (which of course could still be an option for folks who like it.)

Gnus v5.13
GNU Emacs 26.3 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.11)
 of 2019-09-23, modified by Debian